Skip to main content
GET
/
personas
/
{persona_id}
python
from notte_sdk.client import NotteClient

notte = NotteClient()
# retrieve an existing persona or use console.notte.cc/personas to create a new one
persona = notte.Persona("<my-persona-id>")
print(
    f"{persona.info.email=} {persona.info.phone_number=}"
)
import { NotteClient } from "notte-sdk";

const notte = new NotteClient();
// retrieve an existing persona or use console.notte.cc/personas to create a new one
const persona = notte.Persona({ persona_id: "<my-persona-id>" });
const info = await persona.get();
console.log(`email=${info.email} phone_number=${info.phone_number}`);
curl -X GET "https://api.notte.cc/personas/$persona_id" \
-H "Authorization: Bearer $NOTTE_API_KEY" \
-H "Content-Type: application/json"
{
  "persona_id": "<string>",
  "status": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "vault_id": "<string>",
  "phone_number": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

persona_id
string
required

Response

Successful Response

persona_id
string
required

ID of the created persona

status
string
required

Status of the persona (active, closed)

first_name
string
required

First name of the persona

last_name
string
required

Last name of the persona

email
string
required

Email of the persona

vault_id
string | null
required

ID of the vault

phone_number
string | null
required

Phone number of the persona (optional)